unit MainDemo;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  Menus, ImgList, ActnList, ComCtrls, StdCtrls;

type
  TMainForm = class(TForm)
    ActionList1: TActionList;
    FileNew: TAction;
    FileOpen: TAction;
    FileExit: TAction;
    ImageList1: TImageList;
    MainMenu1: TMainMenu;
    Archivo1: TMenuItem;
    Nuevo1: TMenuItem;
    Abrir1: TMenuItem;
    N1: TMenuItem;
    Salir1: TMenuItem;
    Help: TAction;
    About: TAction;
    Ayuda1: TMenuItem;
    AyudaPLabel1: TMenuItem;
    Acercade1: TMenuItem;
    OpenDialog1: TOpenDialog;
    procedure FileNewExecute(Sender: TObject);
    procedure FileExitExecute(Sender: TObject);
    procedure AboutExecute(Sender: TObject);
    procedure FileOpenExecute(Sender: TObject);
  private

  public
    Ruta: string;
  end;

var
  MainForm: TMainForm;

implementation

uses Lab,About;

{$R *.DFM}

procedure TMainForm.FileNewExecute(Sender: TObject);
begin
 with TLabForm.Create (Application) do
 Ini(true,'');
 Show;
end;

procedure TMainForm.FileExitExecute(Sender: TObject);
begin
 Close;
end;

procedure TMainForm.AboutExecute(Sender: TObject);
begin
 with TFormAbout.Create (Application) do
  try
    ShowModal;
  finally
    Free;
  end;
end;

procedure TMainForm.FileOpenExecute(Sender: TObject);
var
 NombreArchivo: string;
begin
  if OpenDialog1.Execute then
   begin
    NombreArchivo:= OpenDialog1.FileName;
    with TLabForm.Create (Application) do
      begin
       Show;
       Ini(false,NombreArchivo);
      end;
   end;
end;

end.

